# getAll

inline suspend fun < T , ID , REPO : ReadCRUDRepo < T , ID >> REPO . getAll (pagination: Pagination , crossinline methodCaller: suspend REPO .( Pagination ) -> PaginationResult < T >): List < T >(source)

Retrieves all items from a ReadCRUDRepo by iterating through pages starting from the given pagination. Uses the provided methodCaller to fetch each page.

#### Return

A list of all items across all pages

#### Parameters

pagination

The starting pagination parameters

methodCaller

A function that fetches a page of results from the repository

#### Type Parameters

T

The type of objects in the repository

ID

The type of IDs in the repository

REPO

The specific repository type

inline suspend fun < T , ID , REPO : ReadCRUDRepo < T , ID >> REPO . getAll (crossinline methodCaller: suspend REPO .( Pagination ) -> PaginationResult < T >): List < T >(source)

Retrieves all items from a ReadCRUDRepo by iterating through all pages. Uses maxPagePagination to determine the starting pagination and the provided methodCaller to fetch each page.

#### Return

A list of all items across all pages

#### Parameters

methodCaller

A function that fetches a page of results from the repository

#### Type Parameters

T

The type of objects in the repository

ID

The type of IDs in the repository

REPO

The specific repository type

inline suspend fun < Key , Value , REPO : ReadKeyValueRepo < Key , Value >> REPO . getAll (pagination: Pagination , crossinline methodCaller: suspend REPO .( Pagination ) -> PaginationResult < Key >): List < Pair < Key , Value >>(source)

Retrieves all key-value pairs from a ReadKeyValueRepo by iterating pages starting from pagination. Uses methodCaller to fetch each page of keys, then resolves each key to its value via ReadKeyValueRepo.get.

#### Return

List of all key-value pairs across all pages; entries with null values are excluded

#### Parameters

pagination

The starting pagination parameters

methodCaller

A function that fetches a page of keys from the repository

#### Type Parameters

Key

The type of keys in the repository

Value

The type of values in the repository

REPO

The specific repository type

inline suspend fun < Key , Value , REPO : ReadKeyValueRepo < Key , Value >> REPO . getAll (crossinline methodCaller: suspend REPO .( Pagination ) -> PaginationResult < Key >): List < Pair < Key , Value >>(source)

Retrieves all key-value pairs from a ReadKeyValueRepo by iterating all pages. Uses maxPagePagination as the starting pagination and methodCaller to fetch each page of keys.

#### Return

List of all key-value pairs across all pages; entries with null values are excluded

#### Parameters

methodCaller

A function that fetches a page of keys from the repository

#### Type Parameters

Key

The type of keys in the repository

Value

The type of values in the repository

REPO

The specific repository type

inline suspend fun < Key , Value , REPO : ReadKeyValuesRepo < Key , Value >> REPO . getAll (pagination: Pagination , crossinline methodCaller: suspend REPO .( Pagination ) -> PaginationResult < Key >): List < Pair < Key , List < Value >>>(source)

Retrieves all key-to-list-of-values pairs from a ReadKeyValuesRepo by iterating pages starting from pagination. Uses methodCaller to fetch each page of keys, then resolves all values per key via ReadKeyValuesRepo.getAll.

#### Return

List of key-to-list-of-values pairs across all pages

#### Parameters

pagination

The starting pagination parameters

methodCaller

A function that fetches a page of keys from the repository

#### Type Parameters

Key

The type of keys in the repository

Value

The type of values associated with keys

REPO

The specific repository type

inline suspend fun < Key , Value , REPO : ReadKeyValuesRepo < Key , Value >> REPO . getAll (crossinline methodCaller: suspend REPO .( Pagination ) -> PaginationResult < Key >): List < Pair < Key , List < Value >>>(source)

Retrieves all key-to-list-of-values pairs from a ReadKeyValuesRepo by iterating all pages. Uses maxPagePagination as the starting pagination and methodCaller to fetch each page of keys.

#### Return

List of key-to-list-of-values pairs across all pages

#### Parameters

methodCaller

A function that fetches a page of keys from the repository

#### Type Parameters

Key

The type of keys in the repository

Value

The type of values associated with keys

REPO

The specific repository type